summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Nicholas Hubbard <nicholashubbard@posteo.net>2022-10-06 12:00:18 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-10-08 09:12:46 +0700
commit96f06adaa8c27761fc9b0d6d937e3d43a7ead475 (patch)
tree8ac26619c5da0c357dda114182d4c946ff98feab /perl
parenteabd709c721b53a776035067a0ab64187a9a90d3 (diff)
downloadslackbuilds-96f06adaa8c27761fc9b0d6d937e3d43a7ead475.tar.gz
slackbuilds-96f06adaa8c27761fc9b0d6d937e3d43a7ead475.tar.xz
perl/perl-Parser-MGC: Updated for version 0.21.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-Parser-MGC/README7
-rw-r--r--perl/perl-Parser-MGC/perl-Parser-MGC.SlackBuild50
-rw-r--r--perl/perl-Parser-MGC/perl-Parser-MGC.info14
-rw-r--r--perl/perl-Parser-MGC/slack-desc14
4 files changed, 31 insertions, 54 deletions
diff --git a/perl/perl-Parser-MGC/README b/perl/perl-Parser-MGC/README
index ce11e13f4f..adb23138d2 100644
--- a/perl/perl-Parser-MGC/README
+++ b/perl/perl-Parser-MGC/README
@@ -1,6 +1 @@
-Parser-MGC is a base class which provides a framework for building
-recursive-descent parsers. It takes its name from the m//gc regular
-expressions it uses to parse data into tokens.
-
-The module is well-documented. This build also includes a detailed
-tutorial and a number of simple examples.
+Build simple recursive-descent parsers in Perl.
diff --git a/perl/perl-Parser-MGC/perl-Parser-MGC.SlackBuild b/perl/perl-Parser-MGC/perl-Parser-MGC.SlackBuild
index f34c9326f3..1d75cdf8f9 100644
--- a/perl/perl-Parser-MGC/perl-Parser-MGC.SlackBuild
+++ b/perl/perl-Parser-MGC/perl-Parser-MGC.SlackBuild
@@ -1,8 +1,8 @@
#!/bin/bash
-# Slackware build script for Parser-MGC
+# Slackware build script for perl-Parser-MGC
-# Copyright 2017 Randall Sawyer, Scarborough ME, USA
+# Copyright 2022 Nicholas Hubbard <nicholashubbard@posteo.net>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,20 +25,14 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=perl-Parser-MGC
-VERSION=${VERSION:-0.16}
+VERSION=${VERSION:-0.21}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
-fi
+ARCH=noarch
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
@@ -52,20 +46,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
-
set -e
rm -rf $PKG
@@ -81,14 +61,16 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-perl Makefile.PL \
- PREFIX=/usr \
- INSTALLDIRS=vendor \
- INSTALLVENDORMAN1DIR=/usr/man/man1 \
- INSTALLVENDORMAN3DIR=/usr/man/man3
-make
-make test
-make install DESTDIR=$PKG
+perl Build.PL \
+ --prefix=/usr \
+ --installdirs=vendor \
+ --install_path libdoc=/usr/man/man3
+perl Build
+perl Build test
+perl Build install --destdir=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
@@ -98,8 +80,8 @@ find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
find $PKG -depth -type d -empty -delete || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -ar \
- Changes LICENSE README examples \
+cp -a \
+ Changes LICENSE README* \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/perl/perl-Parser-MGC/perl-Parser-MGC.info b/perl/perl-Parser-MGC/perl-Parser-MGC.info
index c160958084..97dd207174 100644
--- a/perl/perl-Parser-MGC/perl-Parser-MGC.info
+++ b/perl/perl-Parser-MGC/perl-Parser-MGC.info
@@ -1,10 +1,10 @@
PRGNAM="perl-Parser-MGC"
-VERSION="0.16"
-HOMEPAGE="https://metacpan.org/release/Parser-MGC"
-DOWNLOAD="https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Parser-MGC-0.16.tar.gz"
-MD5SUM="bba06af234342903d13b5aec5f06392d"
+VERSION="0.21"
+HOMEPAGE="https://metacpan.org/pod/Parser::MGC"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Parser-MGC-0.21.tar.gz"
+MD5SUM="d76cab74a2c87084df85c7d62ef64f8f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="perl-File-Slurp-Tiny"
-MAINTAINER="Randall Sawyer"
-EMAIL="srandallsawyer@gmail.com"
+REQUIRES="perl-Module-Build perl-Feature-Compat-Try"
+MAINTAINER="Nicholas Hubbard"
+EMAIL="nicholashubbard@posteo.net"
diff --git a/perl/perl-Parser-MGC/slack-desc b/perl/perl-Parser-MGC/slack-desc
index 1e0a6dfcf5..a4cc07172a 100644
--- a/perl/perl-Parser-MGC/slack-desc
+++ b/perl/perl-Parser-MGC/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-perl-Parser-MGC: perl-Parser-MGC (build simple recursive-descent parsers)
+perl-Parser-MGC: perl-Parser-MGC (Parser::MGC)
+perl-Parser-MGC:
+perl-Parser-MGC: Build simple recursive-descent parsers in Perl.
+perl-Parser-MGC:
+perl-Parser-MGC:
+perl-Parser-MGC:
+perl-Parser-MGC:
perl-Parser-MGC:
-perl-Parser-MGC: This base class provides a low-level framework for building
-perl-Parser-MGC: recursive-descent parsers that consume a given input string
-perl-Parser-MGC: from left to right, returning a parse structure.
perl-Parser-MGC:
-perl-Parser-MGC: It takes its name from the m//gc regexps used to implement
-perl-Parser-MGC: the token parsing behaviour.
perl-Parser-MGC:
-perl-Parser-MGC: Homepage: https://metacpan.org/release/Parser-MGC
perl-Parser-MGC: